package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.StatementConditionDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface StatementMapper {

    List<Map> count(@Param("dto") StatementConditionDto dto);

    Page<Map> queryByVendor(Page page, @Param("dto") StatementConditionDto dto);

    List<Map> queryByVendor(@Param("dto") StatementConditionDto dto);

    Page<Map> queryInfo(Page page, @Param("dto") StatementConditionDto dto);

    List<Map> queryInfo(@Param("dto") StatementConditionDto dto);

}
